cURL
curl --request GET \
--url https://api.gmbapi.com/external-api/gmb/citations/statuses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gmbapi.com/external-api/gmb/citations/statuses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gmbapi.com/external-api/gmb/citations/statuses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"location_id": "12654275338176815409",
"total": 3,
"statuses": [
{
"publisher_id": "yelp",
"publisher_status": "LIVE",
"publisher_url": "https://www.yelp.com/biz/example-business"
},
{
"publisher_id": "facebook",
"publisher_status": "PENDING",
"publisher_url": "https://www.facebook.com/example-business"
},
{
"publisher_id": "bing",
"publisher_status": "LIVE",
"publisher_url": "https://www.bing.com/maps?example"
}
]
}
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Citations
Get Citation Statuses
Returns publisher listing statuses for a location. location_id is required. Organization tokens also need account_id.
GET
/
citations
/
statuses
cURL
Returns publisher listing statuses for a location (
publisher_id, publisher_status, publisher_url). location_id is required. Organization tokens also need account_id.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Account ID. Required when using an organization token.
Location ID to retrieve citation statuses for